> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get web agent UI settings



## OpenAPI

````yaml get /web-agent/{id}/web-settings
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /web-agent/{id}/web-settings:
    get:
      tags:
        - Web Agent
      summary: Get web agent UI settings
      operationId: WebAgentController_getWebAgentSettings
      parameters:
        - name: id
          required: true
          in: path
          description: The ID of the web agent
          schema:
            type: string
      responses:
        '200':
          description: The web agent UI settings have been successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Web agent settings retrieved successfully
                  data:
                    type: object
                    properties:
                      id:
                        type: number
                      web_agent_id:
                        type: string
                      button_text:
                        type: string
                      button_background_color:
                        type: string
                      text_color:
                        type: string
                      font_size:
                        type: string
                      button_hover_background_color:
                        type: string
                      border_radius:
                        type: string
                      show_avatar:
                        type: boolean
                      avatar_image_url:
                        type: string
                      icon_color:
                        type: string
                      container_background_color:
                        type: string
                      base_url_for_embed:
                        type: string
                      generated_iframe_url:
                        type: string
                      iframe_embed_code:
                        type: string
                      mobile_logo_url:
                        type: string
                      mobile_brand_name:
                        type: string
                      mobile_brand_tagline:
                        type: string
                      mobile_logo_position:
                        type: string
                      mobile_brand_name_position:
                        type: string
                      mobile_background_color:
                        type: string
                      mobile_gradient_start_color:
                        type: string
                      mobile_gradient_end_color:
                        type: string
                      mobile_text_color:
                        type: string
                      mobile_secondary_text_color:
                        type: string
                      mobile_answer_button_color:
                        type: string
                      mobile_end_button_color:
                        type: string
                      mobile_slide_bar_color:
                        type: string
                      mobile_slide_bar_opacity:
                        type: string
                      mobile_remember_me_icon:
                        type: string
                      mobile_message_icon:
                        type: string
                      mobile_phone_icon:
                        type: string
                      mobile_end_call_icon:
                        type: string
                      mobile_remind_me_text:
                        type: string
                      mobile_message_text:
                        type: string
                      mobile_slide_to_answer_text:
                        type: string
                      mobile_base_url_for_embed:
                        type: string
                      mobile_generated_iframe_url:
                        type: string
                      mobile_iframe_embed_code:
                        type: string
                      created_at:
                        format: date-time
                        type: string
                      updated_at:
                        format: date-time
                        type: string
        '404':
          description: Web agent settings not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````